- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions

# FbxAnimEvalClassic Class Reference

This reference page is linked to from the following overview topics: Writing and using your own evaluator.

Search for all occurrences

## Detailed Description

An evaluator implementation that behaves like the original FBX SDK (2010 and previous) evaluation system.

It works by implementing the abstract class FbxAnimEvaluator, which is used as the main interface for evaluators.

Note:
  While this class can be instanced at any time, it is preferable to access the evaluator via the function FbxScene::GetEvaluator(), which will automatically return the default evaluator used in the current FBX SDK. This is very useful because it will allow the user to use the very same evaluator used by the FBX SDK internally.

See also:
  FbxAnimEvaluator, FbxScene

Definition at line 32 of file fbxanimevalclassic.h.

`#include <fbxanimevalclassic.h>`

Inheritance diagram for FbxAnimEvalClassic:
[legend]

List of all members.

## Protected Member Functions
virtual void | EvaluateNodeTransform (FbxNodeEvalState *pResult, FbxNode *pNode, FbxTime pTime, FbxAnimStack *pStack, FbxNode::EPivotSet pPivotSet, bool pApplyTarget)
virtual void | EvaluatePropertyValue (FbxAnimCurveNode *pResult, FbxProperty &pProperty, FbxTime pTime, FbxAnimStack *pStack)

## Member Function Documentation

virtual void EvaluateNodeTransform | ( | FbxNodeEvalState * | pResult,
|  | FbxNode * | pNode,
|  | FbxTime | pTime,
|  | FbxAnimStack * | pStack,
|  | FbxNode::EPivotSet | pPivotSet,
|  | bool | pApplyTarget
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements FbxAnimEvaluator.

virtual void EvaluatePropertyValue | ( | FbxAnimCurveNode * | pResult,
|  | FbxProperty & | pProperty,
|  | FbxTime | pTime,
|  | FbxAnimStack * | pStack
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements FbxAnimEvaluator.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimevalclassic.h

FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic
FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic FbxAnimEvalClassic